Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - libevhtp-seafile

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: libevhtp-seafile 1:1.2.9-1

Git Clone URL: https://aur-dev.archlinux.org/libevhtp-seafile.git (read-only)
Package Base: libevhtp-seafile
Description: A more flexible replacement for libevent's httpd API. [Built for seafile]
Upstream URL: https://github.com/ellzey/libevhtp
Licenses: BSD
Conflicts: libevhtp
Provides: libevhtp
Submitter: calrama
Maintainer: eolianoe (thealchemist)
Last Packager: eolianoe
Votes: 37
Popularity: 0.329674
First Submitted: 2015-03-03 12:31
Last Updated: 2016-10-10 06:15

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

1 2 3 Next › Last »

Captain_Rage commented on 2016-10-15 12:30

@eolianoe: Oh, too bad I didn't think of that myself! Indeed, recompiling seafile-server and/or seafile-shared made it start again. :-) Thanks.

eolianoe commented on 2016-10-14 08:42

@Captain_Rage: versions 1:1.2.9-1 and 1.2.9 are the same, maybe you can try to rebuild all the seafile packages to get everything linked to this version

Captain_Rage commented on 2016-10-13 22:59

After upgrading to 1:1.2.9-1 my Seafile server doesn't want to start. It was working with version 1.2.9.

pvagner commented on 2016-10-01 20:44

I suggest to downgrade this back to 1.2.9 . After installing updates provided by thealchemist it initially worked fine for me, however today I have noticed seafile downloads stopped working on my install. I have tried every thing I was able to find in the seafile forums and even on my own and the result is that with more up to date version of this library I'm suffering from the issue described at https://github.com/haiwen/seafile/issues/1119

eolianoe commented on 2016-09-12 11:48

@dx2: I was not aware of the troubles associated with the 1.2.11 version. It has been tested by thealchemist (see the comments on the seafile package), but if you have trouble with this version let me know and I will downgrade it.

dx2 commented on 2016-09-11 18:39

Is libevhtp 1.2.11 actually not causing problems anymore now? It did cause hangups on file transfers. Is it safe to assume considering this latest update to 1.2.11 that this hangup problem is solved?

a-bostaurus commented on 2016-05-04 18:11

I solved the problem by renaming /usr/include/onigposix.h to alt-onigposix.h as root. Then I installed libevhtp-seafile. The installation ran without noticies of error.

a-bostaurus commented on 2016-05-04 17:59

@Captain_Rage: It is not possible to remove libevhtp-seafile. The Terminal says:"Prüfe Abhängigkeiten...
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: seafile-server: das Entfernen von libevhtp-seafile löscht ein benötigtes Packet von 'libevhtp-seafile'" (Check dependycies ... Mistake/Error: Could not prepare the job :: seafile-server removing libevhtp-seafile removes a needed packet from 'libevhtp-seafile')

Captain_Rage commented on 2016-04-28 14:07

@edacval Upgrading to libevhtp-seafile 1.2.9-7 made starting Seafile server possible again. The package oniguruma which set as dependency for 1.2.9-6 must have caused my previous issue. Thanks a bunch!

Captain_Rage commented on 2016-04-25 16:13

@a-bostaurus: Try uninstallning libevhtp-seafile completely and then installing it again (it should install oniguruma now, and the file conflict should be gone since the file used to belong to the outdated libevhtp-seafile).